Bug 123480 - ubuntu software center hits _XReadEvents() error
Summary: ubuntu software center hits _XReadEvents() error
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gustavo Noronha (kov)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-29 16:37 PDT by seb128
Modified: 2016-08-02 11:38 PDT (History)
5 users (show)

See Also:


Attachments
stacktrace of the issue, using GDK_SYNCHRONIZE=1 (48.13 KB, text/plain)
2013-12-06 04:47 PST, seb128
no flags Details
Patch (1.44 KB, patch)
2013-12-07 02:41 PST, Gustavo Noronha (kov)
mrobinson: review+
Details | Formatted Diff | Diff
new stacktrace of the issue (49.49 KB, text/x-log)
2013-12-09 02:36 PST, seb128
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description seb128 2013-10-29 16:37:04 PDT
The issue has been reported on https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/1211887

The bug and duplicates don't have specific steps to reproduce, that's happening with software-center which is a python-webkit user. The webkit version is 1.10.2 but webkit2 updates seem to have similar issues

"#0  0x00007fe1520211f9 in g_logv (log_domain=0x7fe14fd95d46 "Gdk", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7fff7b1b15c8) at /build/buildd/glib2.0-2.37.5/./glib/gmessages.c:989
        domain = 0x0
        data = 0x0
        depth = 1
        log_func = 0x7fe152020990 <g_log_default_handler>
        domain_fatal_mask = <optimized out>
        masquerade_fatal = 0
        test_level = <optimized out>
        was_fatal = <optimized out>
        was_recursion = <optimized out>
        msg = 0x4514600 "The program 'software-center' received an X Window System error.\nThis probably reflects a bug in the program.\nThe error was 'BadDrawable (invalid Pixmap or Window parameter)'.\n  (Details: serial 3589 "...
        msg_alloc = 0x4514600 "The program 'software-center' received an X Window System error.\nThis probably reflects a bug in the program.\nThe error was 'BadDrawable (invalid Pixmap or Window parameter)'.\n  (Details: serial 3589 "...
        i = 2
#1  0x00007fe152021342 in g_log (log_domain=log_domain@entry=0x7fe14fd95d46 "Gdk", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7fe14fda1a08 "%s") at /build/buildd/glib2.0-2.37.5/./glib/gmessages.c:1025
        args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff7b1b16a0, reg_save_area = 0x7fff7b1b15e0}}
#2  0x00007fe14fd74970 in _gdk_x11_display_error_event (display=display@entry=0x24240c0, error=error@entry=0x7fff7b1b1760) at /build/buildd/gtk+3.0-3.8.2/./gdk/x11/gdkdisplay-x11.c:2556
        buf = "BadDrawable (invalid Pixmap or Window parameter)", '\000' <repeats 15 times>
        msg = <optimized out>
        display_x11 = 0x24240c0
        tmp_list = <optimized out>
        ignore = 0
#3  0x00007fe14fd7f321 in gdk_x_error (xdisplay=0x2416b00, error=0x7fff7b1b1760) at /build/buildd/gtk+3.0-3.8.2/./gdk/x11/gdkmain-x11.c:303
        error_display = 0x24240c0
        manager = <optimized out>
        displays = 0x0
        error = 0x7fff7b1b1760
        xdisplay = 0x2416b00
#4  0x00007fe14f829b9b in _XError (dpy=dpy@entry=0x2416b00, rep=rep@entry=0x43fc520) at ../../src/XlibInt.c:1581
        rtn_val = <optimized out>
        event = {type = 0, xany = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313}, xkey = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, root = 140605681420488, subwindow = 0, time = 45003616, x = 806187680, y = 32737, x_root = 678147232, y_root = 32737, state = 37841664, keycode = 0, same_screen = 1408724085}, xbutton = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, root = 140605681420488, subwindow = 0, time = 45003616, x = 806187680, y = 32737, x_root = 678147232, y_root = 32737, state = 37841664, button = 0, same_screen = 1408724085}, xmotion = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, root = 140605681420488, subwindow = 0, time = 45003616, x = 806187680, y = 32737, x_root = 678147232, y_root = 32737, state = 37841664, is_hint = 0 '\000', same_screen = 1408724085}, xcrossing = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, root = 140605681420488, subwindow = 0, time = 45003616, x = 806187680, y = 32737, x_root = 678147232, y_root = 32737, mode = 37841664, detail = 0, same_screen = 1408724085, focus = 32737, state = 5}, xfocus = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, mode = 1337051336, detail = 32737}, xexpose = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, x = 1337051336, y = 32737, width = 0, height = 0, count = 45003616}, xgraphicsexpose = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, drawable = 33570313, x = 1337051336, y = 32737, width = 0, height = 0, count = 45003616, major_code = 0, minor_code = 806187680}, xnoexpose = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, drawable = 33570313, major_code = 1337051336, minor_code = 32737}, xvisibility = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, state = 1337051336}, xcreatewindow = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, parent = 33570313, window = 140605681420488, x = 0, y = 0, width = 45003616, height = 0, border_width = 806187680, override_redirect = 32737}, xdestroywindow = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, event = 33570313, window = 140605681420488}, xunmap = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, event = 33570313, window = 140605681420488, from_configure = 0}, xmap = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, event = 33570313, window = 140605681420488, override_redirect = 0}, xmaprequest = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, parent = 33570313, window = 140605681420488}, xreparent = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, event = 33570313, window = 140605681420488, parent = 0, x = 45003616, y = 0, override_redirect = 806187680}, xconfigure = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, event = 33570313, window = 140605681420488, x = 0, y = 0, width = 45003616, height = 0, border_width = 806187680, above = 140605022516384, override_redirect = 37841664}, xgravity = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, event = 33570313, window = 140605681420488, x = 0, y = 0}, xresizerequest = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, width = 1337051336, height = 32737}, xconfigurerequest = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, parent = 33570313, window = 140605681420488, x = 0, y = 0, width = 45003616, height = 0, border_width = 806187680, above = 140605022516384, detail = 37841664, value_mask = 140605753093237}, xcirculate = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, event = 33570313, window = 140605681420488, place = 0}, xcirculaterequest = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, parent = 33570313, window = 140605681420488, place = 0}, xproperty = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, atom = 140605681420488, time = 0, state = 45003616}, xselectionclear = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, selection = 140605681420488, time = 0}, xselectionrequest = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, owner = 33570313, requestor = 140605681420488, selection = 0, target = 45003616, property = 140605150556832, time = 140605022516384}, xselection = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, requestor = 33570313, selection = 140605681420488, target = 0, property = 45003616, time = 140605150556832}, xcolormap = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, colormap = 140605681420488, new = 0, state = 0}, xclient = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, message_type = 140605681420488, format = 0, data = {b = "`\263\256\002\000\000\000\000\240r\r0\341\177\000\000\240\264k(", s = {-19616, 686, 0, 0, 29344, 12301, 32737, 0, -19296, 10347}, l = {45003616, 140605150556832, 140605022516384, 37841664, 140605753093237}}}, xmapping = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, request = 1337051336, first_keycode = 32737, count = 0}, xerror = {type = 0, display = 0x2416b00, resourceid = 62914834, serial = 3589, error_code = 9 '\t', request_code = 62 '>', minor_code = 0 '\000'}, xkeymap = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, window = 33570313, key_vector = "\310\310\261O\341\177\000\000\000\000\000\000\000\000\000\000`\263\256\002\000\000\000\000\240r\r0\341\177\000"}, xgeneric = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, extension = 33570313, evtype = 0}, xcookie = {type = 0, serial = 37841664, send_event = 62914834, display = 0xe05, extension = 33570313, evtype = 0, cookie = 1337051336, data = 0x0}, pad = {0, 37841664, 62914834, 3589, 33570313, 140605681420488, 0, 45003616, 140605150556832, 140605022516384, 37841664, 140605753093237, 5, 0, 32, 140605678078784, 71288096, 37841664, 71288096, 140605753120517, 0, -2, 0, 71288096}}
        async = <optimized out>
        next = <optimized out>
#5  0x00007fe14f826c07 in handle_error (dpy=0x2416b00, err=0x43fc520, in_XReply=<optimized out>) at ../../src/xcb_io.c:213
        ext = <optimized out>
        ret_code = 0
#6  0x00007fe14f826cb5 in handle_response (dpy=dpy@entry=0x2416b00, response=0x43fc520, in_XReply=in_XReply@entry=0) at ../../src/xcb_io.c:325
        async = <optimized out>
        next = <optimized out>
#7  0x00007fe14f82778d in _XReadEvents (dpy=dpy@entry=0x2416b00) at ../../src/xcb_io.c:426
        response = <optimized out>
        serial = 160
#8  0x00007fe14ef5bc31 in _cairo_xlib_shm_surface_flush (abstract_surface=0x42535e0, flags=<optimized out>) at /build/buildd/cairo-1.12.14/src/cairo-xlib-surface-shm.c:696
        shm = 0x42535e0
        display = 0x451c000
        dpy = 0x2416b00
        status = CAIRO_STATUS_SUCCESS
#9  0x00007fe14ef2aeaf in INT_cairo_surface_flush (surface=0x42535e0) at /build/buildd/cairo-1.12.14/src/cairo-surface.c:1510
        status = <optimized out>
#10 0x00007fe14ef57cfd in _cairo_xlib_surface_discard_shm (surface=surface@entry=0x59cb8a0) at /build/buildd/cairo-1.12.14/src/cairo-xlib-surface.c:369
No locals.
#11 0x00007fe14ef584c7 in _cairo_xlib_surface_finish (abstract_surface=0x59cb8a0) at /build/buildd/cairo-1.12.14/src/cairo-xlib-surface.c:401
        surface = 0x59cb8a0
        status = CAIRO_STATUS_SUCCESS
        display = 0x451c000
#12 0x00007fe14ef2a266 in _cairo_surface_finish (surface=0x59cb8a0) at /build/buildd/cairo-1.12.14/src/cairo-surface.c:1007
        status = <optimized out>
#13 0x00007fe14ef2aba2 in cairo_surface_destroy (surface=0x59cb8a0) at /build/buildd/cairo-1.12.14/src/cairo-surface.c:945
No locals.
#14 INT_cairo_surface_destroy (surface=0x59cb8a0) at /build/buildd/cairo-1.12.14/src/cairo-surface.c:924
No locals.
#15 0x00007fe14ef100d8 in INT_cairo_pattern_destroy (pattern=0x383a670) at /build/buildd/cairo-1.12.14/src/cairo-pattern.c:1131
        type = CAIRO_PATTERN_TYPE_SURFACE
        __PRETTY_FUNCTION__ = "cairo_pattern_destroy"
#16 0x00007fe14eeeda27 in _cairo_gstate_fini (gstate=0x2aeb030) at /build/buildd/cairo-1.12.14/src/cairo-gstate.c:225
No locals.
#17 0x00007fe14eeea5fd in _cairo_default_context_fini (cr=cr@entry=0x2aeb000) at /build/buildd/cairo-1.12.14/src/cairo-default-context.c:75
No locals.
#18 0x00007fe14eeea679 in _cairo_default_context_destroy (abstract_cr=0x2aeb000) at /build/buildd/cairo-1.12.14/src/cairo-default-context.c:93
        cr = 0x2aeb000
#19 0x00007fe12802be14 in ~RefPtr (this=<synthetic pointer>, __in_chrg=<optimized out>) at ../Source/WTF/wtf/RefPtr.h:56
No locals.
#20 WebKit::ChromeClient::widgetSizeChanged (this=0x5991d30, oldWidgetSize=..., newSize=...) at ../Source/WebKit/gtk/WebCoreSupport/ChromeClientGtk.cpp:467
        cr = {m_ptr = 0x2aeb000}
        backingStore = <optimized out>
#21 0x00007fe1280645f3 in resizeWebViewFromAllocation (webView=webView@entry=0x2aec830, allocation=allocation@entry=0x7fff7b1b2030, sizeChanged=<optimized out>) at ../Source/WebKit/gtk/webkit/webkitwebview.cpp:888
        page = 0x5a536f0
        oldSize = {m_width = 1, m_height = 200}
        frameView = 0x7fe130101900
        chromeClient = 0x5991d30
#22 0x00007fe128064709 in webkit_web_view_size_allocate (widget=0x2aec830, allocation=0x7fff7b1b2030) at ../Source/WebKit/gtk/webkit/webkitwebview.cpp:905
        oldAllocation = {x = 0, y = 0, width = 1, height = 200}
        sizeChanged = <optimized out>
        webView = 0x2aec830
#23 0x00007fe1522e5190 in g_cclosure_marshal_VOID__BOXEDv (closure=0x23f3070, return_value=<optimized out>, instance=<optimized out>, args=<optimized out>, marshal_data=<optimized out>, n_params=<optimized out>, param_types=0x2385510) at /build/buildd/glib2.0-2.37.5/./gobject/gmarshal.c:1160
        cc = 0x23f3070
        data1 = <optimized out>
        data2 = <optimized out>
        callback = <optimized out>
        arg0 = 0x7fff7b1b2030
        args_copy = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff7b1b1fb0, reg_save_area = 0x7fff7b1b1ef0}}
#24 0x00007fe1522e24df in _g_closure_invoke_va (closure=0x23f3070, return_value=0x0, instance=0x2aec830, args=0x7fff7b1b1ed8, n_params=1, param_types=0x2385510) at /build/buildd/glib2.0-2.37.5/./gobject/gclosure.c:840
        marshal = 0x7fe1522e0ab0 <g_type_class_meta_marshalv>
        marshal_data = 0xd8
        in_marshal = 1
        real_closure = 0x23f3050
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#25 0x00007fe1522fc38c in g_signal_emit_valist (instance=0x2aec830, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff7b1b1ed8) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3234
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x7fff7b1b2230, instance = 0x2aec830, ihint = {signal_id = 10, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 61251952}
        signal_id = 10
        instance_type = <optimized out>
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        fastpath_handler = <optimized out>
        closure = 0x23f3070
        run_type = <optimized out>
        l = <optimized out>
        fastpath = <optimized out>
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
        __FUNCTION__ = "g_signal_emit_valist"
#26 0x00007fe1522fcc62 in g_signal_emit (instance=instance@entry=0x2aec830, signal_id=<optimized out>, detail=detail@entry=0) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3382
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff7b1b1fb0, reg_save_area = 0x7fff7b1b1ef0}}
#27 0x00007fe1502719aa in gtk_widget_size_allocate (widget=widget@entry=0x2aec830, allocation=allocation@entry=0x7fff7b1b20b0) at /build/buildd/gtk+3.0-3.8.2/./gtk/gtkwidget.c:5341
        priv = 0x2aec790
        real_allocation = {x = 0, y = 0, width = 835, height = 250}
        old_allocation = {x = 0, y = 0, width = 1, height = 200}
        adjusted_allocation = {x = 0, y = 0, width = 835, height = 250}
        alloc_needed = 1
        size_changed = 1
        position_changed = 0
        natural_width = 835
        natural_height = 250
        dummy = 0
        min_width = 835
        min_height = 250
        __PRETTY_FUNCTION__ = "gtk_widget_size_allocate"
#28 0x00007fe150180e68 in gtk_offscreen_window_size_allocate (widget=0x305edc0, allocation=0x7fff7b1b2590) at /build/buildd/gtk+3.0-3.8.2/./gtk/gtkoffscreenwindow.c:150
        child_alloc = {x = 0, y = 0, width = 835, height = 250}
        bin = 0x305edc0
        child = 0x2aec830
        border_width = <optimized out>
#29 0x00007fe1522e2338 in g_closure_invoke (closure=0x23f3070, return_value=0x0, n_param_values=2, param_values=0x7fff7b1b22a0, invocation_hint=0x7fff7b1b2240) at /build/buildd/glib2.0-2.37.5/./gobject/gclosure.c:777
        marshal = 0x7fe1522e0c30 <g_type_class_meta_marshal>
        marshal_data = 0xd8
        in_marshal = 0
        real_closure = 0x23f3050
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#30 0x00007fe1522f3f8f in signal_emit_unlocked_R (node=node@entry=0x2385530, detail=detail@entry=0, instance=instance@entry=0x305edc0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff7b1b22a0) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3512
        accumulator = 0x0
        emission = {next = 0x7fff7b1b2740, instance = 0x305edc0, ihint = {signal_id = 10, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 46838800}
        handler_list = <optimized out>
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 10
        max_sequential_handler_number = 3634
        return_value_altered = <optimized out>
#31 0x00007fe1522fc98a in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff7b1b2438) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3326
        instance_and_params = 0x7fff7b1b22a0
        signal_return_type = <optimized out>
        param_values = 0x7fff7b1b22b8
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
        __FUNCTION__ = "g_signal_emit_valist"
#32 0x00007fe1522fcc62 in g_signal_emit (instance=instance@entry=0x305edc0, signal_id=<optimized out>, detail=detail@entry=0) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3382
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff7b1b2510, reg_save_area = 0x7fff7b1b2450}}
#33 0x00007fe1502719aa in gtk_widget_size_allocate (widget=widget@entry=0x305edc0, allocation=allocation@entry=0x7fff7b1b2610) at /build/buildd/gtk+3.0-3.8.2/./gtk/gtkwidget.c:5341
        priv = 0x305ed20
        real_allocation = {x = 0, y = 0, width = 835, height = 250}
        old_allocation = {x = 0, y = 0, width = 1, height = 200}
        adjusted_allocation = {x = 0, y = 0, width = 835, height = 250}
        alloc_needed = 1
        size_changed = 1
        position_changed = 0
        natural_width = 835
        natural_height = 250
        dummy = 0
        min_width = 835
        min_height = 250
        __PRETTY_FUNCTION__ = "gtk_widget_size_allocate"
#34 0x00007fe150180da0 in gtk_offscreen_window_resize (widget=0x305edc0) at /build/buildd/gtk+3.0-3.8.2/./gtk/gtkoffscreenwindow.c:206
        allocation = {x = 0, y = 0, width = 835, height = 250}
        requisition = {width = 835, height = 250}
#35 0x00007fe1522e2567 in _g_closure_invoke_va (closure=0x23f71b0, return_value=0x0, instance=0x305edc0, args=0x7fff7b1b2808, n_params=0, param_types=0x0) at /build/buildd/glib2.0-2.37.5/./gobject/gclosure.c:840
        marshal = 0x7fe1522e0ab0 <g_type_class_meta_marshalv>
        marshal_data = 0x348
        in_marshal = 0
        real_closure = 0x23f7190
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#36 0x00007fe1522fc38c in g_signal_emit_valist (instance=0x305edc0, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff7b1b2808) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3234
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x7fff7b1b2a10, instance = 0x305edc0, ihint = {signal_id = 74, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 46838800}
        signal_id = 74
        instance_type = <optimized out>
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        fastpath_handler = <optimized out>
        closure = 0x23f71b0
        run_type = <optimized out>
        l = <optimized out>
        fastpath = <optimized out>
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
        __FUNCTION__ = "g_signal_emit_valist"
#37 0x00007fe1522fcc62 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3382
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff7b1b28e0, reg_save_area = 0x7fff7b1b2820}}
#38 0x00007fe1500bb96c in gtk_container_idle_sizer (clock=0x2ee89d0, container=0x305edc0) at /build/buildd/gtk+3.0-3.8.2/./gtk/gtkcontainer.c:1671
No locals.
#39 0x00007fe1522e2567 in _g_closure_invoke_va (closure=0x41a3260, return_value=0x0, instance=0x2ee89d0, args=0x7fff7b1b2b30, n_params=0, param_types=0x0) at /build/buildd/glib2.0-2.37.5/./gobject/gclosure.c:840
        marshal = 0x7fe1522e40c0 <g_cclosure_marshal_VOID__VOIDv>
        marshal_data = 0x0
        in_marshal = 0
        real_closure = 0x41a3240
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#40 0x00007fe1522fc38c in g_signal_emit_valist (instance=instance@entry=0x2ee89d0, signal_id=signal_id@entry=139, detail=detail@entry=0, var_args=var_args@entry=0x7fff7b1b2b30) at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3234
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x2ee89d0, ihint = {signal_id = 139, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 37986160}
        signal_id = 139
        instance_type = <optimized out>
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        fastpath_handler = <optimized out>
        closure = 0x41a3260
        run_type = <optimized out>
        l = <optimized out>
        fastpath = <optimized out>
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
        __FUNCTION__ = "g_signal_emit_valist"
#41 0x00007fe1522fd192 in g_signal_emit_by_name (instance=instance@entry=0x2ee89d0, detailed_signal=detailed_signal@entry=0x7fe14fd9a4ed "layout") at /build/buildd/glib2.0-2.37.5/./gobject/gsignal.c:3422
        var_args = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fff7b1b2c70, reg_save_area = 0x7fff7b1b2b80}}
        detail = 0
        signal_id = 139
        itype = 37986160
        __PRETTY_FUNCTION__ = "g_signal_emit_by_name"
#42 0x00007fe14fd58a27 in gdk_frame_clock_paint_idle (data=0x2ee89d0) at /build/buildd/gtk+3.0-3.8.2/./gdk/gdkframeclockidle.c:400
        clock = 0x2ee89d0
        clock_idle = 0x2ee89d0
        priv = 0x2ee88f0
        skip_to_resume_events = <optimized out>
        timings = 0x5afe6a0
#43 0x00007fe14fd4bc48 in gdk_threads_dispatch (data=0x253ada0, data@entry=<error reading variable: value has been optimized out>) at /build/buildd/gtk+3.0-3.8.2/./gdk/gdk.c:788
        dispatch = 0x253ada0
        ret = 0
#44 0x00007fe15201acc3 in g_timeout_dispatch (source=source@entry=0x413e290, callback=<optimized out>, user_data=<optimized out>) at /build/buildd/glib2.0-2.37.5/./glib/gmain.c:4450
        timeout_source = 0x413e290
        again = <optimized out>
#45 0x00007fe15201a166 in g_main_dispatch (context=0x2412560) at /build/buildd/glib2.0-2.37.5/./glib/gmain.c:3065
        dispatch = 0x7fe15201acb0 <g_timeout_dispatch>
        was_in_call = 0
        user_data = 0x253ada0
        callback = 0x7fe14fd4bc20 <gdk_threads_dispatch>
        cb_funcs = 0x7fe1522d0940 <g_source_callback_funcs>
        cb_data = 0x3c15d70
        need_destroy = <optimized out>
        current_source_link = {data = 0x413e290, next = 0x0}
        source = 0x413e290
        current = 0x2407c10
        i = 0
#46 g_main_context_dispatch (context=context@entry=0x2412560) at /build/buildd/glib2.0-2.37.5/./glib/gmain.c:3641
No locals.
#47 0x00007fe15201a4b8 in g_main_context_iterate (context=0x2412560, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.37.5/./glib/gmain.c:3712
        max_priority = 120
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = 7
        fds = 0x3cd9b60
#48 0x00007fe15201a8ba in g_main_loop_run (loop=0x3627360) at /build/buildd/glib2.0-2.37.5/./glib/gmain.c:3906
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#49 0x00007fe15014e365 in gtk_main () at /build/buildd/gtk+3.0-3.8.2/./gtk/gtkmain.c:1156
        loop = 0x3627360
#50 0x00007fe151659c18 in ffi_call_unix64 () at ../src/x86/unix64.S:76
No locals.
#51 0x00007fe151659580 in ffi_call (cif=cif@entry=0x7fff7b1b2fd0, fn=fn@entry=0x7fe15014e2e0 <gtk_main>, rvalue=rvalue@entry=0x7fff7b1b2fb0, avalue=avalue@entry=0x7fff7b1b2f10) at ../src/x86/ffi64.c:522
        classes = {96095472, X86_64_NO_CLASS, 2065379280, 32767}
        stack = 0x7fff7b1b2d60 ""
        argp = 0x7fff7b1b2e10 ""
        arg_types = 0x7fff7b1b2f20
        gprcount = 0
        ssecount = <optimized out>
        ngpr = 0
        nsse = 0
        i = <optimized out>
        avn = <optimized out>
        ret_in_memory = <optimized out>
        reg_args = 0x7fff7b1b2d60
#52 0x00007fe15252ed19 in g_callable_info_invoke (info=info@entry=0x5ba4cf0, function=0x7fe15014e2e0 <gtk_main>, in_args=in_args@entry=0x0, n_in_args=n_in_args@entry=0, out_args=out_args@entry=0x0, n_out_args=n_out_args@entry=0, return_value=return_value@entry=0x7fff7b1b31a8, is_method=is_method@entry=0, throws=0, error=error@entry=0x7fff7b1b3158) at girepository/gicallableinfo.c:680
        cif = {abi = FFI_UNIX64, nargs = 0, arg_types = 0x7fff7b1b2f20, rtype = 0x7fe15165a000 <ffi_type_void>, bytes = 0, flags = 0}
        rtype = 0x7fe15165a000 <ffi_type_void>
        atypes = 0x7fff7b1b2f20
        tinfo = <optimized out>
        rinfo = 0x5a1e400
        rtag = GI_TYPE_TAG_VOID
        ainfo = <optimized out>
        n_args = 0
        n_invoke_args = 0
        in_pos = 0
        out_pos = <optimized out>
        i = <optimized out>
        args = 0x7fff7b1b2f10
        success = 0
        local_error = 0x0
        error_address = 0x7fff7b1b2fc0
        ffi_return_value = {v_boolean = 93772276, v_int8 = -12 '\364', v_uint8 = 244 '\364', v_int16 = -9740, v_uint16 = 55796, v_int32 = 93772276, v_uint32 = 93772276, v_int64 = 93772276, v_uint64 = 93772276, v_float = 1.41859955e-35, v_double = 4.6329660103943623e-316, v_short = -9740, v_ushort = 55796, v_int = 93772276, v_uint = 93772276, v_long = 93772276, v_ulong = 93772276, v_ssize = 93772276, v_size = 93772276, v_string = 0x596d9f4 "3", v_pointer = 0x596d9f4}
        return_value_p = 0x7fff7b1b2fb0
        __PRETTY_FUNCTION__ = "g_callable_info_invoke"
#53 0x00007fe152530057 in g_function_info_invoke (info=info@entry=0x5ba4cf0, in_args=0x0, n_in_args=0, out_args=0x0, n_out_args=0, return_value=return_value@entry=0x7fff7b1b31a8, error=error@entry=0x7fff7b1b3158) at girepository/gifunctioninfo.c:274
        symbol = <optimized out>
        func = 0x7fe15014e2e0 <gtk_main>
        is_method = 0
        throws = <optimized out>
#54 0x00007fe15276c027 in _invoke_callable (function_ptr=0x0, callable_info=0x5ba4cf0, cache=0x632c1e0, state=0x7fff7b1b3160) at ../../gi/pygi-invoke.c:64
        _save = 0x21320a0
        error = 0x0
        retval = <optimized out>
#55 pygi_callable_info_invoke (info=<optimized out>, py_args=<optimized out>, kwargs=<optimized out>, cache=<optimized out>, function_ptr=<optimized out>, user_data=<optimized out>) at ../../gi/pygi-invoke.c:652
        state = {py_in_args = 0x7fe15412d050, n_py_in_args = 0, current_arg = 0, implementor_gtype = 0, args = 0x0, in_args = 0x0, args_data = 0x0, out_args = 0x0, out_values = 0x0, return_arg = {v_boolean = 0, v_int8 = 0 '\000', v_uint8 = 0 '\000', v_int16 = 0, v_uint16 = 0, v_int32 = 0, v_uint32 = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_short = 0, v_ushort = 0, v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_ssize = 0, v_size = 0, v_string = 0x0, v_pointer = 0x0}, error = 0x0, failed = 0, user_data = 0x0}
        ret = 0x0
#56 0x00000000004fe720 in PyObject_Call (kw=0x0, arg=0x7fe15412d050, func=0x5972420) at ../Objects/abstract.c:2529
        result = <optimized out>
        call = 0x7fe152762400 <_function_info_call>
#57 do_call (nk=<optimized out>, na=<optimized out>, pp_stack=0x7fff7b1b3300, func=0x5972420) at ../Python/ceval.c:4239
        callargs = <optimized out>
        kwdict = 0x0
        result = 0x0
#58 call_function (oparg=<optimized out>, pp_stack=0x7fff7b1b3300) at ../Python/ceval.c:4044
        func = 0x5972420
        w = <optimized out>
        na = <optimized out>
        nk = <optimized out>
        n = <optimized out>
        pfunc = 0x2219748
        x = <optimized out>
#59 PyEval_EvalFrameEx (f=f@entry=0x22195d0, throwflag=throwflag@entry=0) at ../Python/ceval.c:2666
        sp = 0x2219750
        stack_pointer = <optimized out>
        next_instr = 0x221cb76 "\001n"
        opcode = <optimized out>
        oparg = <optimized out>
        why = WHY_NOT
        err = <optimized out>
        x = <optimized out>
        v = <optimized out>
        w = <optimized out>
        u = <optimized out>
        t = <optimized out>
        stream = 0x0
        fastlocals = 0x2219748
        freevars = <optimized out>
        retval = <optimized out>
        tstate = <optimized out>
        co = <optimized out>
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = <optimized out>
        names = <optimized out>
        consts = <optimized out>
        enter = 0x7fe154143de0
        exit = 0x7fe154143e10
#60 0x000000000056c414 in PyEval_EvalCodeEx (co=0x7fe1540b3b30, globals=<optimized out>, locals=<optimized out>, args=<optimized out>, argcount=<optimized out>, kws=<optimized out>, kwcount=0, defs=0x0, defcount=0, closure=0x0) at ../Python/ceval.c:3253
        f = <optimized out>
        retval = 0x0
        fastlocals = <optimized out>
        freevars = <optimized out>
        tstate = <optimized out>
        x = <optimized out>
        u = <optimized out>
#61 0x00000000005ba3b2 in PyEval_EvalCode (co=<optimized out>, globals=<optimized out>, locals=<optimized out>) at ../Python/ceval.c:667
No locals.
#62 0x00000000005abe1b in run_mod.42564 (mod=<optimized out>, filename=<optimized out>, globals=0x216f690, locals=0x216f690, flags=<optimized out>, arena=<optimized out>) at ../Python/pythonrun.c:1365
        co = 0x7fe1540b3b30
        v = <optimized out>
#63 0x000000000045270b in PyRun_FileExFlags (fp=fp@entry=0x21ff230, filename=filename@entry=0x7fff7b1b48ca "/usr/bin/software-center", start=start@entry=257, globals=globals@entry=0x216f690, locals=locals@entry=0x216f690, closeit=closeit@entry=1, flags=flags@entry=0x7fff7b1b3540) at ../Python/pythonrun.c:1351
        ret = <optimized out>
        mod = 0x2215188
        arena = 0x21aa740
#64 0x0000000000452f05 in PyRun_SimpleFileExFlags (fp=fp@entry=0x21ff230, filename=<optimized out>, filename@entry=0x7fff7b1b48ca "/usr/bin/software-center", closeit=closeit@entry=1, flags=flags@entry=0x7fff7b1b3540) at ../Python/pythonrun.c:943
        m = 0x7fe154161cc8
        d = 0x216f690
        v = <optimized out>
        ext = 0x7fff7b1b48de "nter"
        set_file_name = 1
        len = <optimized out>
        ret = -1
#65 0x0000000000453001 in PyRun_AnyFileExFlags (fp=fp@entry=0x21ff230, filename=filename@entry=0x7fff7b1b48ca "/usr/bin/software-center", closeit=closeit@entry=1, flags=flags@entry=0x7fff7b1b3540) at ../Python/pythonrun.c:747
No locals.
#66 0x0000000000453b6a in Py_Main (argc=<optimized out>, argv=0x7fff7b1b36f8) at ../Modules/main.c:640
        c = <optimized out>
        sts = <optimized out>
        command = 0x0
        filename = 0x7fff7b1b48ca "/usr/bin/software-center"
        module = 0x0
        fp = 0x21ff230
        p = <optimized out>
        unbuffered = <optimized out>
        skipfirstline = <optimized out>
        stdin_is_interactive = 0
        help = <optimized out>
        version = <optimized out>
        saw_unbuffered_flag = <optimized out>
        cf = {cf_flags = 0}
#67 0x00007fe153081de5 in __libc_start_main (main=0x453c28 <main>, argc=2, ubp_av=0x7fff7b1b36f8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff7b1b36e8) at libc-start.c:260
        result = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 2326239894385323567, 5744344, 140735258769136, 0, 0, -2326530399755440593, -2338827482476057041}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x5bb4e0 <__libc_csu_init>, 0x7fff7b1b36f8}, data = {prev = 0x0, cleanup = 0x0, canceltype = 6010080}}}
        not_first_call = <optimized out>
#68 0x000000000057a701 in _start ()
No symbol table info available."
Comment 1 seb128 2013-12-06 04:47:50 PST
Created attachment 218591 [details]
stacktrace of the issue, using GDK_SYNCHRONIZE=1

That's a stracktrace collected using GDK_SYNCHRONIZE=1 and b gdk_x_error
Comment 2 seb128 2013-12-06 04:51:44 PST
(the new stacktace is from webkit 2.3.2 ... those issues started in Ubuntu in 13.10, or we didn't change cairo or webkit that cycle, could it be a GTK issue? (we updated from 3.6 to 3.8 in the cycle where reports started))
Comment 3 seb128 2013-12-06 04:58:58 PST
I've open a cairo bug in case, https://bugs.freedesktop.org/show_bug.cgi?id=72393
Comment 4 Gustavo Noronha (kov) 2013-12-07 02:41:12 PST
Created attachment 218656 [details]
Patch
Comment 5 Gustavo Noronha (kov) 2013-12-07 02:42:32 PST
I could not reproduce this with WebKit master and cairo 1.12.16, it looks from the trace like resizing the window should be enough to trigger it, but that is not enough in GtkLauncher/MiniBrowser. Nevertheless, this should fix it.
Comment 6 Gustavo Noronha (kov) 2013-12-07 03:47:49 PST
Committed r160269: <http://trac.webkit.org/changeset/160269>
Comment 7 seb128 2013-12-09 02:36:57 PST
Created attachment 218742 [details]
new stacktrace of the issue

That's still an issue, could somebody reopen? :/

That's the change tested
https://launchpadlibrarian.net/158610191/webkitgtk_2.3.2-1ubuntu2_2.3.2-1ubuntu3~build1.diff.gz

software-center still hits the Xerror on start, new bt joined, it looks the same
Comment 8 Alberto Garcia 2014-05-28 08:22:20 PDT
(In reply to comment #7)
> That's still an issue, could somebody reopen? :/

Hey, is this still crashing with webkit 2.4.x? Please confirm and I'll reopen the bug.
Comment 9 Jeremy Bicha 2016-08-02 11:38:28 PDT
(In reply to comment #8)
> Hey, is this still crashing with webkit 2.4.x? Please confirm and I'll
> reopen the bug.

I wasn't able to reproduce this bug with WebKit 2.4.11 so I dropped the patch from Ubuntu 16.10 "yakkety" today. We'll let you know if it ends up that the patch was needed after all.